Video Screencast Help
Give us your opinion and win with Symantec! Please help us by taking this survey to tell us about your experience with Symantec Connect, so that we can continue to grow and improve.  Take the survey.

update_clients failure

Created: 01 Jul 2009 • Updated: 21 May 2010 | 2 comments
Marianne's picture
This issue has been solved. See solution.

I've been using update_clients for about 10 years without problems.
We now need to push 6.5.3 client binaries to +- 200 clients (currently on 6.0). The intension is to use ClientList with about 10 client names at a time. 
As a test, we attempted 1 client only - created /tmp/cl1 with this line:

Linux RedHat2.6 s20252

Issued cmd 'update_clients -ClientList /tmp/cl1'

Update fails with this error in log:

Couldn't read from file /usr/openv/netbackup/version on client s20252
Client read errno = 9
Version files do not match - updating.
bin_net.tar.29244 size = 160256
client_bin.tar.Z size = 47333589
NB-Java.tar.Z size = 95748838
extract_java size = 8241
JRE.tar.Z size = 20543980
zamdh20252.29244 size = 25
move_libs size = 2970
version size = 26
tar size = 310887
.sizes size = 14
client_config size = 51552
Detected an attempt to install incorrect platform and/or
operating system and version client binaries on s20252.xxx.corp.
client_config_failed

I have done 'bpgetconfig -M s20252' to verify O/S version:
VERSIONINFO = "Linux" "2.6.9-67.0.7.ELsmp" "Unknown" "NetBackup" "6.0" 600000

No idea why it's looking for version file in /usr/openv/netbackup and not in /usr/openv/netbackup/bin...
Any ideas?

Comments 2 CommentsJump to latest comment

Francis Doran's picture

Hi Marianne

Have you upgraded the OS on the clients you are trying to upgrade the netbackup software on??

Have seen issues myself going from NBU 6.0 to 6.5 for solaris x86 clients, where the policies we created in NBU 6.0 where for hardware and OS Solaris, Solaris_x86_10.

When we upgraded to 6.5 we needed to update out policies to Solaris, Solaris_x86_10_64 even though our hardware and OS remained the same

we then ran something similar to
./update_clients -ForceInstall Solaris Solaris_x86_10_64

Maybe you need to do something similar?

SOLUTION
Marianne's picture

Will try ForceInstall, thanks Francis.
No O/S upgrade, but the Client Selection for 6.0 was Linux,RedHat2.4.
According to Compatibility matrix, client selection for 6.5 should be Linux,RedHat2.6.

Supporting Storage Foundation and VCS on Unix and Windows as well as NetBackup on Unix and Windows
Handy NBU Links